Đến nội dung


Hình ảnh
- - - - -

[Đã xong] Nhờ chỉnh sửa lisp TEXT rtt


  • Please log in to reply
1 reply to this topic

#1 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 June 2011 - 10:01 PM

Bác KETXU ơi làm ơn sửa lisp này giúp mình với.
sau một thời gian sử dụng thì mình thấy hơi bất tiện nên đành phải nhờ bạn lần nữa.
vấn đề là khi text của mình hợp với phương ngang 1 góc khác 0 thì khi sử dụng lệnh nó lại quay theo một góc không đúng theo ý mình. bạn có thể sửa sao cho phương của text là trùng với phương của 2 điểm pick. cám ơn bạn, ngại quá.

Bạn thử xem :
(defun c:rtt(/ ss sst ent)
(setq ss (ssadd))
(while (or
(= (setq sst (acet-list-to-ss (vl-remove-if '(lambda(x) (null (wcmatch (acet-dxf 0 (entget x)) "*TEXT"))) (acet-ss-to-list ss)))) nil)
(>(sslength sst) 1))
(Prompt "\nXin h\U+00E3y ch\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng :")
(setq ss (ssget))
)
(command ".rotate" ss "" (acet-dxf 10 (setq ent(entget(ssname sst 0)))) (acet-rtod (- (getangle "\nG\U+00F3c quay :") (acet-dxf 50 ent))))
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#2 traitimsat034

traitimsat034

    biết vẽ pline

  • Members
  • PipPip
  • 61 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 15 June 2011 - 11:10 PM

Bạn thử xem :

(defun c:rtt(/ ss sst ent)
(setq ss (ssadd))
(while (or
(= (setq sst (acet-list-to-ss (vl-remove-if '(lambda(x) (null (wcmatch (acet-dxf 0 (entget x)) "*TEXT"))) (acet-ss-to-list ss)))) nil)
(>(sslength sst) 1))
(Prompt "\nXin h\U+00E3y ch\U+1ECDn \U+0111\U+1ED1i t\U+01B0\U+1EE3ng :")
(setq ss (ssget))
)
(command ".rotate" ss "" (acet-dxf 10 (setq ent(entget(ssname sst 0)))) (acet-rtod (- (getangle "\nG\U+00F3c quay :") (acet-dxf 50 ent))))
)


không còn ý kiến gì ngoài cám ơn bạn!
  • 0